import { ElementRef } from '@angular/core';
import { Params } from '@angular/router';
import { DataSet, DataRequestReply, DataRequestError } from '../../../interfaces/DisplayInterfaces';
import { BaseWidget } from '../BaseWidget/BaseWidget.component';
import { DataConsumerConfiguration, ManagedDataReply } from '../../../interfaces/WidgetInterfaces';
import { DisplayStateService } from '../../../services/DisplayStateService';
import { AppStateService } from '../../../services/AppStateService';
import { WebPlatformApiService } from '../../../services/WebPlatformApiService';
import { ClientSettingsService } from '../../../services/ClientSettingsService';
export declare class BaseManagedDataWidget extends BaseWidget {
    protected element: ElementRef;
    protected clientSettingsService: ClientSettingsService;
    protected displayStateService: DisplayStateService;
    protected appStateService: AppStateService;
    protected webPlatformApiService: WebPlatformApiService;
    originalDataSet: DataSet;
    displayDataSet: DataSet;
    dataRequestError: DataRequestError;
    context: Params;
    messages: Params;
    filters: Params;
    sorts: Params;
    filterlkp: Params;
    dataKey: string;
    constructor(element: ElementRef, clientSettingsService: ClientSettingsService, displayStateService: DisplayStateService, appStateService: AppStateService, webPlatformApiService: WebPlatformApiService);
    onInitialize(): void;
    onNewMessage(messageParams: Params): void;
    onContextChanged(currentContext: Params): void;
    onFiltersChanged(currentFilters: Params): void;
    onSortsChanged(currentSorts: Params): void;
    private currentContext();
    RequestDataByDataConsumerConfig(widgetName: string, dcc: DataConsumerConfiguration): void;
    RequestData(): void;
    onDataAvailable(reply: DataRequestReply): void;
    onDataError(error: DataRequestError): void;
    onManagedDataError(error: DataRequestError): void;
    onManagedDataReply(managedDataReply: ManagedDataReply): void;
    HandleGrouping(): void;
    HandleFilters(): void;
    HandleSorts(): void;
    PostProcessing(): void;
    HandleMessages(): void;
}
